%global srcname python3-discid
%global sum Libdiscid Python bindings
%global desc Python-discid implements Python bindings for MusicBrainz libdiscid.

Name:    %{srcname}
Version: 1.2.0
Release: 1%{?dist}
Summary: %{sum}
URL:     https://github.com/JonnyJD/python-discid
License: LGPLv3+

Source0: https://github.com/JonnyJD/python-discid/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-sphinx

Requires: libdiscid


%description
%{desc}

%prep
%autosetup -n python-discid-%{version}

%build
%py3_build

# Generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/ html
# Remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files
%{python3_sitelib}/discid-*.egg-info
%{python3_sitelib}/discid/
%license COPYING COPYING.LESSER
%doc README.rst CHANGES.rst
%docdir /html

%changelog
* Mon May 17 2021 Matthew Ruszczyk <mruszczyk17@gmail.com> - 1.2.0-1
- Initial RPM release
